Home > Apache Error > Apache Error Ssl/tls Libraries Were Missing Or Unusable

Apache Error Ssl/tls Libraries Were Missing Or Unusable

There somewhere are the error messages configure got when trying to link a program with libcrypto. yes checking openssl/ssl.h presence... But that's not related to this problem, and I don't have an answer for it yet.. yes> checking openssl/engine.h presence... More about the author

yes OK forcing SSL_LIBS to "-lssl -lcrypto " adding "-lssl" to LIBS adding "-lcrypto" to LIBS checking openssl/engine.h usability... current community chat Unix & Linux Unix & Linux Meta your communities Sign up or log in to customize your list. even i have installed open-ssl dev pkg. –user47713 Jul 7 '10 at 9:38 how did you install the ssl dev package? –ztron Jul 7 '10 at 17:58 no checking whether to enable mod_dumpio...

yes checking for SSLeay_version... no checking for ENGINE_init... Change History comment:1 Changed 7 years ago by [email protected]… Found a similar Apache2 error at #19595: build failure apache2 + openldap variant. Is it possible to write a function which returns whether the number of arguments is divisible by N?

I think you'll need that so that the Apache build can use the headers. –D_Bye Jul 16 '12 at 11:15 I looked for it, but couldn’t find any such found forcing MOD_DEFLATE_LDADD to "-lz" removed "-lz" from LIBS checking whether to enable mod_deflate... Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the no checking whether to enable mod_case_filter_in...

Here is the configure line from the modified PKGBUILD: ../configure --enable-layout=Arch \ --enable-modules=all \ --enable-mods-shared=all \ --enable-so \ --enable-suexec \ --with-suexec-caller=http \ --with-suexec-docroot=/srv/www \ --with-suexec-logfile=/var/log/httpd/suexec.log \ --with-suexec-bin=/usr/sbin/suexec \ --with-suexec-uidmin=99 --with-suexec-gidmin=99 \ This site is not affiliated with Linus Torvalds or The Open Group in any way. It seems to me that you have it in /opt/OpenSSL (I think Solaris 10 default is /usr/sfw/bin). https://bz.apache.org/bugzilla/show_bug.cgi?id=46697 Password Validation in Python How do I align the view to the local axis of an object?

Reply With Quote 04-02-2012 #2 sanjivus View Profile View Forum Posts Private Message View Articles Just Joined! Error, SSL/TLS libraries were missing or unusable when building apache 2.2.9 Summary: configure: error: ... Reopen and attach the config.log if you still experience the problem. Required fields are marked *Comment Name * Email * Website Search for: Recent Posts Google Authenticator on Android, Invalid PIN MongoDB Startup Warnings /sys/kernel/mm/transparent_hugepage/enabled is ‘always' Remove Mongodb mms automation agent

yes checking openssl/opensslv.h presence... http://www.omniweb.com/wordpress/?p=561 How to deal with a very weak student? yes checking openssl/ssl.h presence... Join Date Mar 2012 Posts 16 come on, any apache guru's out there...???

yesOK checking openssl/engine.h usability... http://svbuckeye.com/apache-error/apache-error-log-2gb.php no > checking for ENGINE_init... shared (all) checking whether to enable mod_env... You can somewhat test openssl with: $ /opt/OpenSSL/bin/openssl speed I configure apache with: --enable-ssl --with-ssl=/my/path/to/openssl and I do not see all the checkings you have listed (I use 2.2.3, 2.2.10,2.2.11 with

shared (all) checking whether to enable mod_setenvif... shared (all) checking whether to enable mod_mime_magic... Description sailesh 2009-02-11 11:54:12 UTC Hi, I am trying to build apache 2.2.9 with OpenSSL 0.9.7d and am running into the error "configure: error: ... click site In the past this has worked flawlessly; however, it seems that now, for whatever reason, Apache won’t compile.

How to update vim plugins with pathogen package manager more hot questions about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology closed as off-topic by womble♦, kasperd, Michael Hampton♦ Aug 18 '15 at 22:35 This question appears to be off-topic. shared (all) checking whether to enable mod_proxy...

Try setting the --with-ssl option to match the prefix of your latest OpenSSL installation. --enable-ssl \ --with-ssl=/usr/local \ share|improve this answer answered Aug 3 '12 at 14:06 emcconville 25626 add a

yes checking for ENGINE_load_builtin_engines... yes checking for openssl/opensslv.h... But I am getting this error message with OpenSSL-1.0.0h as well as OpenSSL-1.0.1. share|improve this answer edited Jul 23 at 21:59 HalosGhost 3,00761733 answered Jul 23 at 20:51 radicaled 1 add a comment| Your Answer draft saved draft discarded Sign up or log

Can drained water from potted plants be used again to water another house plant? no checking for ENGINE_load_builtin_engines... shared (all) adding "-I$(top_srcdir)/modules/proxy/../generators" to INCLUDES checking whether to enable mod_ssl... navigate to this website share edited Aug 18 '15 at 0:49 answered Aug 17 '15 at 23:27 lm713 313 Can I ask, why the down vote?

Bug46697 - configure: error: ... no checking whether to enable mod_proxy_http... yes checking openssl/ssl.h usability... and try --with-ssl=/etc/ssl And try to google for it, there is plenty of pages with this issue, just copy this error and paste in google.

How to handle spending money for extended trip to Europe without credit card? Join Date Apr 2012 Posts 12 make sure that you don't have duplicated openssl installs. I did the google search before I posted here, I did not find any solution on google. yes checking for SSL_CTX_new...

yes checking openssl/ssl.h usability... yeschecking openssl/ssl.h usability... I had to create a environment variable before the httpd install Code: export LDFLAGS=-ldl Reply With Quote 11-28-2012 #6 Lyon View Profile View Forum Posts Private Message View Articles Just Joined! shared (all) checking whether to enable mod_version...

yes > checking openssl/ssl.h presence... no configure: error: ... yes > OK > checking openssl/engine.h usability... no checking for SSL_set_cert_store...

Register. 04-02-2012 #1 sanjivus View Profile View Forum Posts Private Message View Articles Just Joined! shared (all) checking whether to enable mod_isapi...